# class TransactionBeginJob

###

Module | akonadi
Namespace | Akonadi
Class | TransactionBeginJob
Inherits | Akonadi::Job

Begins a session-global transaction. This will only have an effect when used as a subjob or with a Session.

### methods

- TransactionBeginJob (parent)

  returns ctor

  Argument | Type | Default
  --- | --- | ---
  parent | QObject |

  Creates a new TransactionBeginJob.

  parent - The parent job or Session, must not be 0.

- doStart ( )

  returns Nothing